# Space Invaders
Welcome to Space Invader, a classic arcade-style game where you take on the role of a defender against invading enemies from outer space. In this game, enemies spawn at the top of the screen and make their way towards you, the player, who is positioned at the bottom of the screen. Your objective is to survive as long as possible while defeating enemies and progressing through different levels.

## Gameplay

*Player Health: You start the game with 3 health points (HP). If an enemy collides with you, you lose 3 HP. Additionally, if an enemy reaches the bottom of the screen, you lose 1 HP.  

*Enemies: There are 3 types of enemies in the game, each with different health points and speeds. As the levels progress, the HP and speed of enemies increase.  

*Levels: There are 3 levels in the game. As you progress through each level, the difficulty increases. The frequency of your shots also increases with each level.  

*Boss Fight: At the end of each level, a boss enemy spawns. Once you defeat the boss, you complete the level and progress to the next one.  

## Instructions to Run the Project

1. Install Pygame: Pygame is required to run the game. If you haven't installed Pygame yet, you can install it using pip:  
```pip install pygame``` or  
```pip install -r requirements.txt```   

2. Clone the Repository: Clone the Space Invader repository to your local machine.  
```git clone https://github.com/azadaliyev44/space_invaders.git```  
 
3. Run the Game: Execute the main.py file to start the game.  
```python main.py ```

## Style Check
Project checked with Flake8 and pylama style check tools.  


## License

This project is licensed under the MIT License.  
